/*function Alerta(elemento){
Estrellas = [elemento.sum];
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");
 for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};
	}*/
/// ///////// ///OBJETO NARRADOR ///////////////////////////////
TIC.Narrador = (function(){
	function Narrador(element, options){this.init(element, options);}

	Narrador.prototype = {
		init: function(element, options){
			this.contador = 0;
			this.element = element;
			this.options = options;

			var me = this;
			
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });

			
			 this.clickVolver = function(){
				me.prev();
				 }
			 this.clickController = function(){
								 
								 var id = parseInt(this.id.substring(0));
								 me.solve(id);
						 }
			  this.clickControlar = function(){
				  
			  
		   if($('input:radio[name=options]').is(':checked')){
			   
			 
			  
				  var idRespuesta = $('input:radio[name=options]:checked').val();
				 
				 $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
				
				 $(".next_url").css({"position":"relative","right":"0","top":"0"});
				 
				 $(".indice").css({"margin":"0 0 0 35%"});
				 
				  me.solve(idRespuesta);  
                  pintar_test(idRespuesta, ActCode, idTestGral);
                  pintar_estrellas_scorm();
				   }else {  
                  $(".next").hide();
                 $(".relleno").show();
                 $(".prev").hide(); 
			  me.showAlert();
			   }
			  
			
			   $(".reiniciar").on('click',function(){
				  me.showTest();
				  $(".reiniciar").hide();		 
		  })
			}
			 this.clickCerrar = function(){
			$(".pop_up_container").hide();
								
						 }
			
			 this.clickEdad = function(){
				var idEdad = parseInt(this.id.substring(5));
				me.idEdad = idEdad;			
				me.next();
			}
			
			 this.clickBoton = function(){   
	
								 var id_boton = parseInt(this.id.substring(4));
								 me.muestra(id_boton);
			
			}		
			
			
			this.clickAmbito = function(){
			 var idAmbito = parseInt(this.id.substring(7,8));	
			 var idAmbito2 = parseInt(this.id.substring(8));
			 
			 me.idAmbito = idAmbito;
			 me.idAmbito2 = idAmbito2;
		
		
	if ( me.idAmbito == 0 && me.idAmbito2 ==0 ){
		
		$("#pizarra").on('click', '.next_narrador', function(){
		me.next();
		});
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[me.contador].n_orden_narrador;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		number =				TIC.Secuencia[orden].number;
		
		

		j=0;
		
			
		
		
	}else if(me.idAmbito == 0 && me.idAmbito2 ==1){
		$("#pizarra").on('click', '.next_narrador', function(){
		me.next();
		});
		id= 					TIC.Diapositivas[me.contador].id;
		orden_test=				TIC.Diapositivas[me.contador].n_orden_test;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[me.contador].n_orden_narrador;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		number =				TIC.Secuencia[orden].number;
		
		
		
		j=0;
		}else if(me.idAmbito == 1 && me.idAmbito2 ==0){
			
		$("#pizarra").on('click', '.next_narrador', function(){
		me.next();
		});
		
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[me.contador].n_orden_narrador;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		number =				TIC.Secuencia[orden].number;
		
		
		j=0;	
		}else{
		$("#pizarra").on('click', '.next_narrador', function(){
		me.next();
		});
		
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[me.contador].n_orden_narrador;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		number =				TIC.Secuencia[orden].number;
		
		
		j=0;		
		}
			me.next();
			}
			
			$(".indice").on('click',function(){
					 
				var indice= TIC.Indice[0].texto;
				
				$(".pop_up_container").show();
				$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
				$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
				
				
				  })
				  
$(".progress").on('click',function(){
//me.getData("Alerta","OAM03_");
me.Alerta();
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});
this.showSlide();
			  },

			  
sendData: function(idRespuesta){ 
createNewActivityScore(ActCode,idRespuesta);
},
getData: function(ActCode){  
getActivityScore("Alerta","OAM03_");
},
		
Alerta: function(){
if (mm_adl_API != null)
{
//alert();	
mm_adl_API.LMSInitialize("");

porcentaje = mm_adl_API.LMSGetValue("cmi.core.score.raw");
//alert(porcentaje)
if(porcentaje=='') {
var Estrellas=0;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};	
}else{
	
var porcentaje = Math.round((porcentaje / 100 ) * 13);
Estrellas = porcentaje;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};

	};
}

},	

		
		
		
		///Siguiente diapositiva
		next: function(){
			
			this.contador++;
			
			if (this.contador == 1){
				$(".next").show();
				}
			
			this.showSlide();
		},
		
		///Diapositiva anterior
		prev: function(){
			
			this.contador--;
			this.showSlide();
			$(".borrar").hide();

		},
		
		
		
		showSlide: function(){
			
			var diapo = TIC.Diapositivas[this.contador];
			this.diapo = diapo;
			var tipo = diapo.tipo; 
			var number = TIC.Secuencia[0].number;
			var secuencia = TIC.Secuencia[0].secc;
	//alert(tipo)
		
		$(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
		
			//$(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'><h1><span>"+number+"</span>"+secuencia+"</h1></header><article class='" + tipo + "'></article></section>");
			
			switch(tipo){		
				case "intro":
					this.showIntro();
					break;	
				case "way":
					this.showWay();
					break;	
				case "secuencia":
					  this.showSecuencia();
					  break;	
				case "edad":
					this.showEdad();
					break;
				case "ambito":
					this.showAmbito();
					break;	
											
			}
},

//////SHOW INTRO/////
showIntro: function(){
	
	var secuencia = 	TIC.Secuencia[this.diapo.n_orden].secc;
	var number = 		TIC.Secuencia[this.diapo.n_orden].number;
	var narracion =		TIC.Narracion[this.diapo.n_orden].Nc;
	var imagen =		TIC.Narracion[this.diapo.n_orden].imagen;
	
		$(".primero").html("<h1>Casos prácticos</h1>");	
		$(".intro").addClass("magenta");
		$(".intro").html("<h3>Elige tu recorrido:</h3><figure class='centrado'><img src='img/"+imagen+".png'/></figure><h3>"+narracion+"</h3>");

me = this;
$("#pizarra").on('click', '.next_intro', function(){
		me.next();
		});

	},
	
//Tipo intro
		  showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			//var number = TIC.Secuencia[orden].number;
			$(".secuencia").html("<div class='string'><h4>"+secuencia+"</h4><div><img src='img/movil-08.png'><button class='next2'></button><p>Pulsa para continuar</p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },
	
//// TIPO WAY /////
showWay: function(){
	
	
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var ambito_img = TIC.Way[this.diapo.n_orden].ambito_img;
			
			$(".way").addClass("naranja")
			$(".primero").html("<h1>Casos prácticos</h1>");
			
						
			var orden = this.diapo.n_orden;
			var ambito = TIC.Way[orden].ambito;
			var cadenaHtml = "";
			

			$(".way").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 3 de 3</h3><p class='selecc'>Confirma tu recorrido</p>")
			
	$(".way").append("<div class='edad_way'><img src='img/"+[this.idEdad]+[this.idAmbito2]+".png'><div class='boton'><button class='prev2' onclick='window.location.href=&quot;OAM01_03.html&quot;'>Atr&aacute;s</button>&nbsp;<button class='aceptar'>Aceptar</button></div></div>")
	
	$("#pizarra").on('click', '.aceptar', function(){
		
		if ( me.idAmbito == 0 && me.idAmbito2 ==0 ){
    window.location.assign("OAM01_03_00.html");
	 }
	 else if(me.idAmbito == 0 && me.idAmbito2 ==1){
		 window.location.assign("OAM01_03_01.html");
		 }else if(me.idAmbito == 1 && me.idAmbito2 ==0){
			  window.location.assign("OAM01_03_10.html");
			 }else{
				  window.location.assign("OAM01_03_11.html");
				 }
		
		
		
		});	
	},
	
	

	
	
		
		
// SHOW_EDAD
showEdad: function(){
			
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var orden = TIC.Diapositivas[this.contador].n_orden;
			var edad = TIC.Way[orden].edad;
			var edad_img = TIC.Way[orden].edad_img;
			var cadenaHtml= "";
		$(".next").hide();
		$(".prev").hide();	
						
			 for(j=0; j<edad.length; j++){
				  cadenaHtml += "<li class='edad"+j+"' id='edad_"+ j + "'><a><img src='img/"+edad_img[j]+".png'  /><p class='selecc'>" + edad[j] + "</p><span></span></a></li>"	
				  
			$("#pizarra").on('click', 'li#edad_'+j, this.clickEdad);	  	  
				 }
				 
				 cadenaHtml = "<ul class='menu_circulos delayedAlphaIntro'>" + cadenaHtml + "</ul>"; 
			$(".primero").addClass("cabecera");
			$(".cabecera").removeClass("primero");	 
			$(".cabecera").html("<h1>Casos prácticos</h1>");
			$(".edad").addClass("naranja");
			$(".edad").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 1 de 3</h3>   <p class='selecc'>Selecciona el rango de edad:</p>"+cadenaHtml)
			
},	

// SHOW_AMBITO
showAmbito: function(){
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var ambito_img = TIC.Way[this.diapo.n_orden].ambito_img;
			
			$(".prev2").show();
			$(".ambito").addClass("naranja")
			$(".primero").html("<h1>Casos prácticos</h1>");
			
						
			var orden = this.diapo.n_orden;
			var ambito = TIC.Way[orden].ambito;
			var cadenaHtml = "";
			
	if(this.idEdad == 0){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_0"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'/><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_0'+i, this.clickAmbito);	
			}
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)

	}else if ( this.idEdad == 1){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_1"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_1'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)
		}
	else{
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_2"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_2'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'	>Selecciona el entorno:</p>"+cadenaHtml)
	}
			
},	
		  
/// Tipo ventana emergente ////
		  
/*		  showAlert: function(){
			 
			  
			  // var orden = TIC.Diapositivas_2[this.diapo.id].n_orden;
			//   var mensaje = TIC.Pop[orden].texto;
			  $(".pop_up").fadeIn();
			//  $(".pop_up").css({"height":"50%","width":"50%","left":"20%","top":"20%"})
			  $(".pop_up").html("<p>Debes elegir al menos una opción para continuar</p><div class='btn'></div>")
			  $(".pop_up").on('click', '.btn', this.clickCerrar);
			  
			  },


}
	
	return Narrador;
}());*/
showAlert: function(){
$(".pop_up_container").fadeIn();
$(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
}, 
		  
muestra_enlace: function(id_enlace){
var mas_info = TIC.Pop[id_enlace].texto; 
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.pop_up').text().length;
var altura = $('.pop_up').css("height");
var altura0 = "200px";
//alert(altura);
//alert(palabras);
if ( (palabras >= 500) && (altura >= altura0) ){
//alert(palabras);
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");	
var scroller = new FTScroller(document.getElementById('scrollable_2'), {
scrollingX: false
});		
};/////////////fin palabras scroll /////////////////

$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
},			  
}	
	  
	  return Narrador;
  }());
  
  



  function newDoc() {
	  
	 if ( me.idAmbito == 0 && me.idAmbito2 ==0 ){
    window.location.assign("OAM03_04_00.html");
	 }
	 else if(me.idAmbito == 0 && me.idAmbito2 ==1){
		 window.location.assign("OAM03_04_01.html");
		 }else if(me.idAmbito == 1 && me.idAmbito2 ==0){
			  window.location.assign("OAM03_04_10.html");
			 }else{
				  window.location.assign("OAM03_04_11.html");
				 }
}